#!/usr/bin/env python3

"""
Nemesida WAF API
Copyright (c) 2017-2024 Pentestit LLC - All Rights Reserved
Author: Romanov R.
"""

import ast

from core import base_api_uri
from core import init_db_connection
from core import log

##
# URLs
##

get_models_uri = base_api_uri + '/get_models_uri'
set_models_uri = base_api_uri + '/set_models_uri'
del_models_uri = base_api_uri + '/del_models_uri'
rep_models_uri = base_api_uri + '/rep_models_uri'
get_models_list_uri = base_api_uri + '/get_models_list_uri'

get_training_uri = base_api_uri + '/get_training_uri'
set_training_uri = base_api_uri + '/set_training_uri'
set_training_progress_uri = base_api_uri + '/set_training_progress_uri'


def training_vhost_processing(vhost, waf_id,):
    try:

        ##
        # Search vhost in local DB
        ##

        query = """ SELECT vhosts_list FROM vhosts_list WHERE waf_id = %s LIMIT 1 """
        connect = init_db_connection()
        cursor = connect.cursor()
        cursor.execute(query, (waf_id,))
        res = cursor.fetchone()
        connect.close()

        # processing result
        if res and res[0]:

            # set vhosts list
            vhosts_list = ast.literal_eval(res[0])

            # if vhost in vhosts_list
            if vhost in vhosts_list:
                return True

    except Exception as e:
        log.error('An error occurred in training_vhost_processing: {}'.format(e))

    # default response
    return False
